import request from '@/utils/request'

// 查询积分规则列表
export function listRule(query) {
  return request({
    url: '/integral/rule/list',
    method: 'get',
    params: query
  })
}
// 查询积分规则明细
export function listRuleInfo(query) {
  return request({
    url: '/integral/rule/listRuleInfo',
    method: 'get',
    params: query
  })
}
// 查询积分规则列表
export function listRuleOne(query) {
  return request({
    url: '/integral/rule/listRuleOne',
    method: 'get',
    params: query
  })
}
// 查询规则详细
export function getRule(id) {
  return request({
    url: '/integral/rule/' + id,
    method: 'get'
  })
}
// 查询油站对应的油品名称
export function oilNameList(query) {
  return request({
    url: '/station/price/oilNameList',
    method: 'get',
    params: query
  })
}

// 查询油站对应的油品名称
// export function oilNameInfo(query) {
//   return request({
//     url: '/station/price/oilNameInfo',
//     method: 'get',
//     params: query
//   })
// }

// 查询油站,油品,对应的等级
export function gradeList(query) {
  return request({
    url: '/customer/setting/gradeList',
    method: 'get',
    params: query
  })
}


// 新增规则
export function addRule(data) {
  return request({
    url: '/integral/rule',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateRule(data) {
  return request({
    url: '/integral/rule',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delRule(id) {
  return request({
    url: '/integral/rule/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportRule(query) {
  return request({
    url: '/integral/rule/export',
    method: 'get',
    params: query
  })
}
